> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Optimization Task Result



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/optimized_proposals/{proposal_uuid}/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/optimized_proposals/{proposal_uuid}/:
    get:
      tags:
        - api
      operationId: api_v1_custom_org_optimized_proposals_retrieve
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: proposal_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOptimizedProposal'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    GetOptimizedProposal:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
        account:
          $ref: '#/components/schemas/GetSimplifiedClient'
        status:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizedPortfolioStatus'
          readOnly: true
        weights:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalWeights'
        orders:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalOrder'
        optimization_summary:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizationSummary'
          nullable: true
        tax_summary:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizationTaxSummary'
          nullable: true
        trade_attributions:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalTradeAttribution'
        failure_reason:
          type: string
        executed_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
          description: Timestamp when this proposal was executed and tax lots were updated
        execution_summary:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizedProposalExecutionSummary'
          nullable: true
      required:
        - account
        - created
        - executed_at
        - orders
        - status
        - uuid
        - weights
    GetSimplifiedClient:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        external_id:
          type: string
          description: External identifier for the client
          maxLength: 50
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - created
        - external_id
        - uuid
    ClientOptimizedPortfolioStatus:
      enum:
        - pending
        - completed
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `completed` - Completed
        * `failed` - Failed
    ClientOptimizedProposalWeights:
      type: object
      properties:
        ticker:
          type: string
        ticker_symbol:
          type: string
          nullable: true
        ticker_name:
          type: string
          nullable: true
        weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        active_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
          nullable: true
        initial_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
          nullable: true
        benchmark_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
          nullable: true
        imputed_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
          nullable: true
        tax_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
          nullable: true
        no_trade:
          type: boolean
          nullable: true
        no_hold:
          type: boolean
          nullable: true
        no_buy:
          type: boolean
          nullable: true
        no_sell:
          type: boolean
          nullable: true
      required:
        - ticker
        - ticker_name
        - ticker_symbol
        - weight
    ClientOptimizedProposalOrder:
      type: object
      properties:
        ticker:
          type: string
        ticker_symbol:
          type: string
          nullable: true
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        type:
          $ref: '#/components/schemas/ClientPortfolioOrderType'
        order_category:
          $ref: '#/components/schemas/OrderCategoryEnum'
        reason:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClientOptimizedProposalOrderReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        existing_quantity:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        existing_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        existing_market_value:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        target_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        tax_lots:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalOrderTaxLot'
          nullable: true
        fx_cost_breakdown:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizedProposalOrderFXCostBreakdown'
          nullable: true
      required:
        - amount
        - fx_cost_breakdown
        - tax_lots
        - ticker
        - ticker_symbol
        - type
    ClientOptimizationSummary:
      type: object
      properties:
        total_optimized_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,8})?$
        total_benchmark_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,8})?$
        total_ideal_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,8})?$
        total_active_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,8})?$
        imputed_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        simple_tcost:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        transaction_cost:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        commissions_bps:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        market_impact_bps:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        bid_ask_cost_bps:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        nav:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,8})?$
          nullable: true
        turnover:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,8})?$
          nullable: true
        benchmark_risk_annualized_percentage:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,8})?$
          nullable: true
        active_risk_annualized_percentage:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,8})?$
          nullable: true
        optimized_risk_annualized_percentage:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,8})?$
          nullable: true
        average_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
        max_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
        resolved_tax_gamma:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,6})?$
          nullable: true
        tax_gamma_iterations:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - total_active_weight
        - total_benchmark_weight
        - total_ideal_weight
        - total_optimized_weight
    ClientOptimizationTaxSummary:
      type: object
      properties:
        short_term_gain:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        short_term_loss:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        long_term_gain:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        long_term_loss:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        short_term_net:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        long_term_net:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
        tax_due:
          type: string
          format: decimal
          pattern: ^-?\d{0,9}(?:\.\d{0,6})?$
          nullable: true
    ClientOptimizedProposalTradeAttribution:
      type: object
      properties:
        ticker:
          type: string
        ticker_symbol:
          type: string
          nullable: true
        ticker_name:
          type: string
          nullable: true
        imputed_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
        benchmark_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        tax_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
        trade_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        active_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        initial_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        optimized_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        risk_aversion_alpha:
          type: string
          format: decimal
          pattern: ^-?\d{0,7}(?:\.\d{0,8})?$
          nullable: true
        tax_loss_harvesting_sell:
          type: boolean
        tax_loss_harvesting_buy:
          type: boolean
        tilt_exposure_sell:
          type: boolean
        tilt_exposure_buy:
          type: boolean
        no_hold_restriction:
          type: boolean
        no_trade_restriction:
          type: boolean
        no_buy_restriction:
          type: boolean
        no_sell_restriction:
          type: boolean
        hold_benchmark_restriction:
          type: boolean
        initial_active_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
        reduced_active_weight:
          type: boolean
        constraints_and_hedging:
          type: boolean
      required:
        - active_weight
        - benchmark_weight
        - constraints_and_hedging
        - hold_benchmark_restriction
        - imputed_alpha
        - initial_active_weight
        - initial_weight
        - no_buy_restriction
        - no_hold_restriction
        - no_sell_restriction
        - no_trade_restriction
        - optimized_weight
        - reduced_active_weight
        - tax_alpha
        - tax_loss_harvesting_buy
        - tax_loss_harvesting_sell
        - ticker
        - ticker_name
        - ticker_symbol
        - tilt_exposure_buy
        - tilt_exposure_sell
        - trade_weight
    ClientOptimizedProposalExecutionSummary:
      type: object
      properties:
        sells_processed:
          type: integer
          maximum: 2147483647
          minimum: 0
        buys_processed:
          type: integer
          maximum: 2147483647
          minimum: 0
        tax_lots_removed:
          type: integer
          maximum: 2147483647
          minimum: 0
        tax_lots_reduced:
          type: integer
          maximum: 2147483647
          minimum: 0
        tax_lots_created:
          type: integer
          maximum: 2147483647
          minimum: 0
        warnings:
          description: List of non-critical warnings encountered during execution
      required:
        - buys_processed
        - sells_processed
        - tax_lots_created
        - tax_lots_reduced
        - tax_lots_removed
    ClientPortfolioOrderType:
      enum:
        - qty
        - notional
      type: string
      description: |-
        * `qty` - Qty
        * `notional` - Notional
    OrderCategoryEnum:
      enum:
        - long
        - short_order
        - short_cover
      type: string
      description: |-
        * `long` - Long
        * `short_order` - Short Order
        * `short_cover` - Short Cover
    ClientOptimizedProposalOrderReasonEnum:
      enum:
        - removed_from_target
        - added_to_target
        - weight_decreased
        - weight_increased
      type: string
      description: |-
        * `removed_from_target` - Removed From Target
        * `added_to_target` - Added To Target
        * `weight_decreased` - Weight Decreased
        * `weight_increased` - Weight Increased
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    ClientOptimizedProposalOrderTaxLot:
      type: object
      properties:
        cost_basis:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        quantity:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        trade_date:
          type: string
          format: date
        gain:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
      required:
        - cost_basis
        - gain
        - quantity
        - trade_date
    ClientOptimizedProposalOrderFXCostBreakdown:
      type: object
      properties:
        base_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_rate:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_fee_percentage:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_fee_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        net_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
      required:
        - base_amount_usd
        - currency
        - fx_fee_amount_usd
        - fx_fee_percentage
        - fx_rate
        - net_amount_usd
    CurrencyEnum:
      enum:
        - USD
        - EUR
        - GBP
        - JPY
        - CAD
      type: string
      description: |-
        * `USD` - Usd
        * `EUR` - Eur
        * `GBP` - Gbp
        * `JPY` - Jpy
        * `CAD` - Cad
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````